/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __VERIFIER_HELPER_RESTRICTED_SKEL_H__
#define __VERIFIER_HELPER_RESTRICTED_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct verifier_helper_restricted {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *map_timer;
		struct bpf_map *map_spin_lock;
	} maps;
	struct {
		struct bpf_program *in_bpf_prog_type_kprobe_1;
		struct bpf_program *in_bpf_prog_type_kprobe_2;
		struct bpf_program *in_bpf_prog_type_kprobe_3;
		struct bpf_program *in_bpf_prog_type_tracepoint_1;
		struct bpf_program *in_bpf_prog_type_tracepoint_2;
		struct bpf_program *in_bpf_prog_type_tracepoint_3;
		struct bpf_program *bpf_prog_type_perf_event_1;
		struct bpf_program *bpf_prog_type_perf_event_2;
		struct bpf_program *bpf_prog_type_perf_event_3;
		struct bpf_program *bpf_prog_type_raw_tracepoint_1;
		struct bpf_program *bpf_prog_type_raw_tracepoint_2;
		struct bpf_program *bpf_prog_type_raw_tracepoint_3;
	} progs;
	struct {
		struct bpf_link *in_bpf_prog_type_kprobe_1;
		struct bpf_link *in_bpf_prog_type_kprobe_2;
		struct bpf_link *in_bpf_prog_type_kprobe_3;
		struct bpf_link *in_bpf_prog_type_tracepoint_1;
		struct bpf_link *in_bpf_prog_type_tracepoint_2;
		struct bpf_link *in_bpf_prog_type_tracepoint_3;
		struct bpf_link *bpf_prog_type_perf_event_1;
		struct bpf_link *bpf_prog_type_perf_event_2;
		struct bpf_link *bpf_prog_type_perf_event_3;
		struct bpf_link *bpf_prog_type_raw_tracepoint_1;
		struct bpf_link *bpf_prog_type_raw_tracepoint_2;
		struct bpf_link *bpf_prog_type_raw_tracepoint_3;
	} links;

#ifdef __cplusplus
	static inline struct verifier_helper_restricted *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct verifier_helper_restricted *open_and_load();
	static inline int load(struct verifier_helper_restricted *skel);
	static inline int attach(struct verifier_helper_restricted *skel);
	static inline void detach(struct verifier_helper_restricted *skel);
	static inline void destroy(struct verifier_helper_restricted *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
verifier_helper_restricted__destroy(struct verifier_helper_restricted *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
verifier_helper_restricted__create_skeleton(struct verifier_helper_restricted *obj);

static inline struct verifier_helper_restricted *
verifier_helper_restricted__open_opts(const struct bpf_object_open_opts *opts)
{
	struct verifier_helper_restricted *obj;
	int err;

	obj = (struct verifier_helper_restricted *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = verifier_helper_restricted__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	verifier_helper_restricted__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct verifier_helper_restricted *
verifier_helper_restricted__open(void)
{
	return verifier_helper_restricted__open_opts(NULL);
}

static inline int
verifier_helper_restricted__load(struct verifier_helper_restricted *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct verifier_helper_restricted *
verifier_helper_restricted__open_and_load(void)
{
	struct verifier_helper_restricted *obj;
	int err;

	obj = verifier_helper_restricted__open();
	if (!obj)
		return NULL;
	err = verifier_helper_restricted__load(obj);
	if (err) {
		verifier_helper_restricted__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
verifier_helper_restricted__attach(struct verifier_helper_restricted *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
verifier_helper_restricted__detach(struct verifier_helper_restricted *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *verifier_helper_restricted__elf_bytes(size_t *sz);

static inline int
verifier_helper_restricted__create_skeleton(struct verifier_helper_restricted *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "verifier_helper_restricted";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "map_timer";
	s->maps[0].map = &obj->maps.map_timer;

	s->maps[1].name = "map_spin_lock";
	s->maps[1].map = &obj->maps.map_spin_lock;

	/* programs */
	s->prog_cnt = 12;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "in_bpf_prog_type_kprobe_1";
	s->progs[0].prog = &obj->progs.in_bpf_prog_type_kprobe_1;
	s->progs[0].link = &obj->links.in_bpf_prog_type_kprobe_1;

	s->progs[1].name = "in_bpf_prog_type_kprobe_2";
	s->progs[1].prog = &obj->progs.in_bpf_prog_type_kprobe_2;
	s->progs[1].link = &obj->links.in_bpf_prog_type_kprobe_2;

	s->progs[2].name = "in_bpf_prog_type_kprobe_3";
	s->progs[2].prog = &obj->progs.in_bpf_prog_type_kprobe_3;
	s->progs[2].link = &obj->links.in_bpf_prog_type_kprobe_3;

	s->progs[3].name = "in_bpf_prog_type_tracepoint_1";
	s->progs[3].prog = &obj->progs.in_bpf_prog_type_tracepoint_1;
	s->progs[3].link = &obj->links.in_bpf_prog_type_tracepoint_1;

	s->progs[4].name = "in_bpf_prog_type_tracepoint_2";
	s->progs[4].prog = &obj->progs.in_bpf_prog_type_tracepoint_2;
	s->progs[4].link = &obj->links.in_bpf_prog_type_tracepoint_2;

	s->progs[5].name = "in_bpf_prog_type_tracepoint_3";
	s->progs[5].prog = &obj->progs.in_bpf_prog_type_tracepoint_3;
	s->progs[5].link = &obj->links.in_bpf_prog_type_tracepoint_3;

	s->progs[6].name = "bpf_prog_type_perf_event_1";
	s->progs[6].prog = &obj->progs.bpf_prog_type_perf_event_1;
	s->progs[6].link = &obj->links.bpf_prog_type_perf_event_1;

	s->progs[7].name = "bpf_prog_type_perf_event_2";
	s->progs[7].prog = &obj->progs.bpf_prog_type_perf_event_2;
	s->progs[7].link = &obj->links.bpf_prog_type_perf_event_2;

	s->progs[8].name = "bpf_prog_type_perf_event_3";
	s->progs[8].prog = &obj->progs.bpf_prog_type_perf_event_3;
	s->progs[8].link = &obj->links.bpf_prog_type_perf_event_3;

	s->progs[9].name = "bpf_prog_type_raw_tracepoint_1";
	s->progs[9].prog = &obj->progs.bpf_prog_type_raw_tracepoint_1;
	s->progs[9].link = &obj->links.bpf_prog_type_raw_tracepoint_1;

	s->progs[10].name = "bpf_prog_type_raw_tracepoint_2";
	s->progs[10].prog = &obj->progs.bpf_prog_type_raw_tracepoint_2;
	s->progs[10].link = &obj->links.bpf_prog_type_raw_tracepoint_2;

	s->progs[11].name = "bpf_prog_type_raw_tracepoint_3";
	s->progs[11].prog = &obj->progs.bpf_prog_type_raw_tracepoint_3;
	s->progs[11].link = &obj->links.bpf_prog_type_raw_tracepoint_3;

	s->data = verifier_helper_restricted__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *verifier_helper_restricted__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x68\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6b\x70\x72\
\x6f\x62\x65\0\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x70\x65\x72\x66\x5f\
\x65\x76\x65\x6e\x74\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x76\x65\x72\x69\x66\x69\
\x65\x72\x5f\x68\x65\x6c\x70\x65\x72\x5f\x72\x65\x73\x74\x72\x69\x63\x74\x65\
\x64\x2e\x63\0\x6c\x30\x5f\x30\0\x6c\x30\x5f\x31\0\x6c\x30\x5f\x32\0\x6c\x30\
\x5f\x33\0\x6c\x30\x5f\x34\0\x6c\x30\x5f\x35\0\x6c\x30\x5f\x36\0\x6c\x30\x5f\
\x37\0\x69\x6e\x5f\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x6b\
\x70\x72\x6f\x62\x65\x5f\x31\0\x69\x6e\x5f\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\
\x74\x79\x70\x65\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x31\0\x62\x70\
\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x70\x65\x72\x66\x5f\x65\x76\
\x65\x6e\x74\x5f\x31\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\
\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x31\0\x69\x6e\x5f\
\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x6b\x70\x72\x6f\x62\
\x65\x5f\x32\0\x6d\x61\x70\x5f\x74\x69\x6d\x65\x72\0\x62\x70\x66\x5f\x70\x72\
\x6f\x67\x5f\x74\x79\x70\x65\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\
\x32\0\x69\x6e\x5f\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x74\
\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x32\0\x62\x70\x66\x5f\x70\x72\x6f\x67\
\x5f\x74\x79\x70\x65\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\x5f\x32\0\x69\x6e\x5f\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\
\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x33\0\x6d\x61\x70\x5f\x73\x70\x69\x6e\x5f\x6c\
\x6f\x63\x6b\0\x69\x6e\x5f\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\
\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x33\0\x62\x70\x66\x5f\x70\x72\
\x6f\x67\x5f\x74\x79\x70\x65\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\
\x33\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x72\x61\x77\x5f\
\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x33\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\0\x2e\x72\x65\x6c\x74\x72\x61\
\x63\x65\x70\x6f\x69\x6e\x74\0\x2e\x72\x65\x6c\x70\x65\x72\x66\x5f\x65\x76\x65\
\x6e\x74\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\
\x74\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4b\x04\0\xff\xf1\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x68\0\0\0\x03\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x05\0\0\0\0\0\
\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\x72\0\0\0\x04\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\
\0\0\0\x77\0\0\0\x06\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\0\0\0\0\x7c\0\0\0\x03\0\0\
\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\x81\0\0\0\x04\0\0\0\0\0\0\0\xd8\0\0\0\0\0\
\0\0\0\0\0\0\x86\0\0\0\x05\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\x8b\0\0\0\
\x06\0\0\0\0\0\0\0\xd8\0\0\0\0\0\0\0\0\0\0\0\x90\x12\0\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x18\0\0\0\xaa\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\
\xc8\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\xe3\x12\0\0\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\x01\x02\x12\0\0\x03\0\0\0\0\0\0\0\x18\0\0\0\0\
\0\0\0\x70\0\0\x01\x1c\x11\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\x01\
\x26\x12\0\0\x05\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x70\0\0\x01\x41\x12\0\0\x04\0\
\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x70\0\0\x01\x5f\x12\0\0\x06\0\0\0\0\0\0\0\x18\0\
\0\0\0\0\0\0\x70\0\0\x01\x7e\x12\0\0\x03\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x58\0\
\0\x01\x98\x11\0\0\x07\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\x01\xa6\x12\0\0\
\x04\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\x58\0\0\x01\xc4\x12\0\0\x05\0\0\0\0\0\0\0\
\x88\0\0\0\0\0\0\0\x58\0\0\x01\xdf\x12\0\0\x06\0\0\0\0\0\0\0\x88\0\0\0\0\0\0\0\
\x58\0\0\x01\xfe\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x85\0\0\0\0\0\0\
\xa0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\
\xff\xff\xf8\xb7\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x04\0\0\0\0\xbf\x10\0\0\0\0\0\0\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x01\x85\0\0\0\0\0\0\xa9\x95\0\0\
\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\xb7\x10\0\0\0\0\0\0\
\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\
\x15\0\0\x02\0\0\0\0\xbf\x10\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\x95\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\xa0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\
\x07\x20\0\0\xff\xff\xff\xf8\xb7\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x10\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x04\0\0\0\0\xbf\x10\0\0\
\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x01\x85\0\0\0\0\
\0\0\xa9\x95\0\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\xb7\
\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\
\0\0\0\0\0\x01\x15\0\0\x02\0\0\0\0\xbf\x10\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\x95\
\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x2a\
\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\xb7\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\
\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x04\0\0\0\0\
\xbf\x10\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\0\0\0\0\0\x01\
\x85\0\0\0\0\0\0\xa9\x95\0\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\
\xff\xf8\xb7\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x02\0\0\0\0\xbf\x10\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x5d\x95\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xf8\xb7\x10\0\0\0\0\0\0\x7b\
\x21\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\
\0\x04\0\0\0\0\xbf\x10\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x30\
\0\0\0\0\0\x01\x85\0\0\0\0\0\0\xa9\x95\0\0\0\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\
\x20\0\0\xff\xff\xff\xf8\xb7\x10\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x15\0\0\x02\0\0\0\0\xbf\x10\0\0\0\0\
\0\0\x85\0\0\0\0\0\0\x5d\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x38\0\0\0\x13\0\0\0\x01\0\0\
\0\0\0\0\0\x60\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\xa8\0\0\0\x18\0\0\0\x01\0\0\0\
\0\0\0\0\x38\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x13\0\0\0\x01\0\0\0\0\
\0\0\0\xa8\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\0\x38\0\0\0\x13\0\0\0\x01\0\0\0\0\0\
\0\0\x60\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\xa8\0\0\0\x18\0\0\0\x01\0\0\0\0\0\0\
\0\x38\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\x60\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\
\xa8\0\0\0\x18\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x05\x30\0\0\x05\
\x30\0\0\x07\xbd\0\0\0\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\
\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\x05\x01\
\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x06\0\0\0\0\x03\0\0\0\0\0\0\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\
\0\0\0\x09\0\0\0\x19\x04\0\0\x01\0\0\0\x10\0\0\0\x1f\0\0\0\x0a\0\0\0\0\0\0\0\
\x21\x04\0\0\x01\0\0\0\x10\0\0\0\x2b\0\0\0\x0d\0\0\0\0\0\0\0\x34\x08\0\0\0\0\0\
\0\x0c\0\0\0\x3a\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x0b\0\0\0\x04\0\0\0\x02\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x4d\0\0\0\x01\0\0\
\0\0\0\0\0\x52\0\0\0\x05\0\0\0\x40\0\0\0\x5e\0\0\0\x07\0\0\0\x80\0\0\0\x62\0\0\
\0\x08\0\0\0\xc0\0\0\0\x68\x0e\0\0\0\0\0\0\x0e\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\
\0\x11\0\0\0\x72\x04\0\0\x02\0\0\0\x08\0\0\0\x76\0\0\0\x02\0\0\0\0\0\0\0\x7a\0\
\0\0\x12\0\0\0\x20\0\0\0\x7c\x04\0\0\x01\0\0\0\x04\0\0\0\x72\0\0\0\x13\0\0\0\0\
\0\0\0\x8a\x08\0\0\0\0\0\0\x14\0\0\0\x90\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\
\x04\0\0\x04\0\0\0\x20\0\0\0\x4d\0\0\0\x01\0\0\0\0\0\0\0\x52\0\0\0\x05\0\0\0\
\x40\0\0\0\x5e\0\0\0\x07\0\0\0\x80\0\0\0\x62\0\0\0\x10\0\0\0\xc0\0\0\0\x9d\x0e\
\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\x0d\0\0\0\0\0\0\0\0\0\0\xab\x0c\0\0\x01\0\0\
\0\x17\0\0\0\xc5\x11\0\0\0\0\0\0\x18\xff\xff\xff\xff\0\0\x01\x1b\x11\0\0\0\0\0\
\0\x18\xff\xff\xff\xff\0\0\x01\x37\x11\0\0\0\0\0\0\x18\xff\xff\xff\xff\0\0\x01\
\x74\x0c\0\0\x01\0\0\0\x17\0\0\x01\x92\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\
\x01\x1b\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\x01\x37\x11\0\0\0\0\0\0\x1c\
\xff\xff\xff\xff\0\0\x01\xec\x0c\0\0\x01\0\0\0\x17\0\0\x02\x07\x11\0\0\0\0\0\0\
\x20\xff\xff\xff\xff\0\0\x01\x1b\x11\0\0\0\0\0\0\x20\xff\xff\xff\xff\0\0\x01\
\x37\x11\0\0\0\0\0\0\x20\xff\xff\xff\xff\0\0\x02\x61\x0c\0\0\x01\0\0\0\x17\0\0\
\x02\x80\x11\0\0\0\0\0\0\x24\xff\xff\xff\xff\0\0\x01\x1b\x11\0\0\0\0\0\0\x24\
\xff\xff\xff\xff\0\0\x01\x37\x11\0\0\0\0\0\0\x24\xff\xff\xff\xff\0\0\x02\xde\
\x0c\0\0\x01\0\0\0\x17\0\0\x02\xf8\x11\0\0\0\0\0\0\x28\xff\xff\xff\xff\0\0\x01\
\x1b\x11\0\0\0\0\0\0\x28\xff\xff\xff\xff\0\0\x03\x47\x11\0\0\0\0\0\0\x28\xff\
\xff\xff\xff\0\0\x03\x86\x0c\0\0\x01\0\0\0\x17\0\0\x03\xa1\x11\0\0\0\0\0\0\x2c\
\xff\xff\xff\xff\0\0\x01\x1b\x11\0\0\0\0\0\0\x2c\xff\xff\xff\xff\0\0\x03\x47\
\x11\0\0\0\0\0\0\x2c\xff\xff\xff\xff\0\0\x03\xf2\x0c\0\0\x01\0\0\0\x17\0\0\x04\
\x10\x11\0\0\0\0\0\0\x30\xff\xff\xff\xff\0\0\x01\x1b\x11\0\0\0\0\0\0\x30\xff\
\xff\xff\xff\0\0\x03\x47\x11\0\0\0\0\0\0\x30\xff\xff\xff\xff\0\0\x04\x61\x0c\0\
\0\x01\0\0\0\x17\0\0\x04\x80\x11\0\0\0\0\0\0\x34\xff\xff\xff\xff\0\0\x01\x1b\
\x11\0\0\0\0\0\0\x34\xff\xff\xff\xff\0\0\x03\x47\x11\0\0\0\0\0\0\x34\xff\xff\
\xff\xff\0\0\x04\xd5\x0c\0\0\x01\0\0\0\x17\0\0\x04\xef\x11\0\0\0\0\0\0\x38\xff\
\xff\xff\xff\0\0\x01\x1b\x11\0\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x05\x3b\x11\0\
\0\0\0\0\0\x38\xff\xff\xff\xff\0\0\x05\x7e\x0c\0\0\x01\0\0\0\x17\0\0\x05\x9c\
\x11\0\0\0\0\0\0\x3c\xff\xff\xff\xff\0\0\x01\x1b\x11\0\0\0\0\0\0\x3c\xff\xff\
\xff\xff\0\0\x05\x3b\x11\0\0\0\0\0\0\x3c\xff\xff\xff\xff\0\0\x05\xec\x0c\0\0\
\x01\0\0\0\x17\0\0\x06\x07\x11\0\0\0\0\0\0\x40\xff\xff\xff\xff\0\0\x01\x1b\x11\
\0\0\0\0\0\0\x40\xff\xff\xff\xff\0\0\x05\x3b\x11\0\0\0\0\0\0\x40\xff\xff\xff\
\xff\0\0\x06\x57\x0c\0\0\x01\0\0\0\x17\0\0\x06\x76\x11\0\0\0\0\0\0\x44\xff\xff\
\xff\xff\0\0\x01\x1b\x11\0\0\0\0\0\0\x44\xff\xff\xff\xff\0\0\x05\x3b\x11\0\0\0\
\0\0\0\x44\xff\xff\xff\xff\0\0\x06\xca\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x48\0\0\0\x04\0\0\0\x04\0\0\x06\xcf\x0e\0\0\0\0\0\0\
\x49\0\0\0\x01\0\0\x07\x83\x0f\0\0\x02\0\0\0\x40\0\0\0\x0f\0\0\0\0\0\0\0\x20\0\
\0\0\x16\0\0\0\x20\0\0\0\x20\0\0\x07\x89\x0f\0\0\x01\0\0\0\x04\0\0\0\x4a\0\0\0\
\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\
\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x69\x6d\x65\x72\0\x74\0\x62\x70\x66\x5f\x74\
\x69\x6d\x65\x72\0\x5f\x5f\x6f\x70\x61\x71\x75\x65\0\x5f\x5f\x75\x36\x34\0\x75\
\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x74\x79\
\x70\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\
\x6c\x75\x65\0\x6d\x61\x70\x5f\x74\x69\x6d\x65\x72\0\x76\x61\x6c\0\x63\x6e\x74\
\0\x6c\0\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x5f\x5f\x75\x33\
\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x6d\x61\x70\x5f\x73\
\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x69\x6e\x5f\x62\x70\x66\x5f\x70\x72\x6f\x67\
\x5f\x74\x79\x70\x65\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x31\0\x63\x6f\x6d\x6d\x65\
\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\
\x3d\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x63\x6f\x61\x72\
\x73\x65\x5f\x6e\x73\x20\x69\x73\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x20\
\x69\x6e\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4b\x50\
\x52\x4f\x42\x45\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\
\x70\x65\x63\x74\x5f\x66\x61\x69\x6c\x75\x72\x65\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\x3d\x75\x6e\
\x6b\x6e\x6f\x77\x6e\x20\x66\x75\x6e\x63\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\
\x65\x5f\x67\x65\x74\x5f\x63\x6f\x61\x72\x73\x65\x5f\x6e\x73\0\x69\x6e\x5f\x62\
\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x74\x72\x61\x63\x65\x70\
\x6f\x69\x6e\x74\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x6b\x74\x69\
\x6d\x65\x5f\x67\x65\x74\x5f\x63\x6f\x61\x72\x73\x65\x5f\x6e\x73\x20\x69\x73\
\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x20\x69\x6e\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\
\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x70\x65\x72\x66\x5f\
\x65\x76\x65\x6e\x74\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\
\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x6b\x74\
\x69\x6d\x65\x5f\x67\x65\x74\x5f\x63\x6f\x61\x72\x73\x65\x5f\x6e\x73\x20\x69\
\x73\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x20\x69\x6e\x20\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\
\x54\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x72\x61\x77\x5f\
\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x31\0\x63\x6f\x6d\x6d\x65\x6e\x74\
\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\
\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x63\x6f\x61\x72\x73\x65\
\x5f\x6e\x73\x20\x69\x73\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x20\x69\x6e\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\
\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x69\x6e\x5f\x62\x70\x66\x5f\x70\x72\
\x6f\x67\x5f\x74\x79\x70\x65\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x32\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x69\x6e\x69\x74\x20\x69\
\x73\x6e\x20\x72\x65\x73\x74\x72\x69\x63\x74\x65\x64\x20\x69\x6e\x20\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4b\x50\x52\x4f\x42\x45\0\x63\
\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\
\x6d\x73\x67\x3d\x74\x72\x61\x63\x69\x6e\x67\x20\x70\x72\x6f\x67\x73\x20\x63\
\x61\x6e\x6e\x6f\x74\x20\x75\x73\x65\x20\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\
\x20\x79\x65\x74\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x70\
\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\
\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\
\x66\x5f\x74\x69\x6d\x65\x72\x5f\x69\x6e\x69\x74\x20\x69\x73\x20\x66\x6f\x72\
\x62\x69\x64\x64\x65\x6e\x20\x69\x6e\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\0\x69\x6e\x5f\x62\
\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x74\x72\x61\x63\x65\x70\
\x6f\x69\x6e\x74\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x74\x69\x6d\
\x65\x72\x5f\x69\x6e\x69\x74\x20\x69\x73\x20\x66\x6f\x72\x62\x69\x64\x64\x65\
\x6e\x20\x69\x6e\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\
\x74\x79\x70\x65\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\x5f\x32\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\
\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x74\x69\x6d\x65\x72\x5f\x69\
\x6e\x69\x74\x20\x69\x73\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x20\x69\x6e\
\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\
\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x69\x6e\x5f\x62\x70\x66\x5f\x70\x72\
\x6f\x67\x5f\x74\x79\x70\x65\x5f\x6b\x70\x72\x6f\x62\x65\x5f\x33\0\x63\x6f\x6d\
\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\
\x6f\x6e\x3d\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x20\x69\x73\
\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x20\x69\x6e\x20\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4b\x50\x52\x4f\x42\x45\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x65\x78\x70\x65\x63\x74\x5f\x6d\x73\x67\
\x3d\x74\x72\x61\x63\x69\x6e\x67\x20\x70\x72\x6f\x67\x73\x20\x63\x61\x6e\x6e\
\x6f\x74\x20\x75\x73\x65\x20\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\
\x6b\x20\x79\x65\x74\0\x69\x6e\x5f\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\
\x70\x65\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x33\0\x63\x6f\x6d\x6d\
\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\
\x6e\x3d\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x20\x69\x73\x20\
\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x20\x69\x6e\x20\x42\x50\x46\x5f\x50\x52\
\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x62\
\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\x5f\x70\x65\x72\x66\x5f\x65\
\x76\x65\x6e\x74\x5f\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\
\x64\x65\x73\x63\x72\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x73\x70\x69\
\x6e\x5f\x6c\x6f\x63\x6b\x20\x69\x73\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\
\x20\x69\x6e\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x50\
\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\0\x62\x70\x66\x5f\x70\x72\x6f\x67\x5f\x74\
\x79\x70\x65\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\
\x33\0\x63\x6f\x6d\x6d\x65\x6e\x74\x3a\x74\x65\x73\x74\x5f\x64\x65\x73\x63\x72\
\x69\x70\x74\x69\x6f\x6e\x3d\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\
\x6b\x20\x69\x73\x20\x66\x6f\x72\x62\x69\x64\x64\x65\x6e\x20\x69\x6e\x20\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\
\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x30\x33\x2e\x31\x36\x2e\x31\x2e\x65\x6c\x39\x5f\x35\x2f\x6c\x69\x6e\x75\
\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x30\x33\x2e\x31\x36\x2e\x31\x2e\x65\
\x6c\x39\x5f\x35\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x76\x65\x72\x69\x66\x69\x65\x72\x5f\x68\x65\x6c\
\x70\x65\x72\x5f\x72\x65\x73\x74\x72\x69\x63\x74\x65\x64\x2e\x63\0\x09\x61\x73\
\x6d\x20\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x09\x09\x09\x09\x09\x5c\0\
\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6b\x70\x72\x6f\x62\x65\0\
\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\
\x74\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\0\0\0\0\xeb\x9f\
\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x84\0\0\0\x84\0\0\0\xe4\0\0\x01\x68\0\0\0\0\0\0\
\0\x08\0\0\x07\x91\0\0\0\x03\0\0\0\0\0\0\0\x18\0\0\0\x18\0\0\0\x28\0\0\0\x88\0\
\0\0\x38\0\0\x07\x98\0\0\0\x03\0\0\0\0\0\0\0\x1c\0\0\0\x18\0\0\0\x30\0\0\0\x88\
\0\0\0\x3c\0\0\x07\xa3\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\x18\0\0\0\x2c\0\0\0\
\x88\0\0\0\x40\0\0\x07\xae\0\0\0\x03\0\0\0\0\0\0\0\x24\0\0\0\x18\0\0\0\x34\0\0\
\0\x88\0\0\0\x44\0\0\0\x10\0\0\x07\x91\0\0\0\x03\0\0\0\0\0\0\x06\xd8\0\0\x07\
\x6c\0\0\x90\x02\0\0\0\x18\0\0\x06\xd8\0\0\x07\x6c\0\x01\x70\x02\0\0\0\x88\0\0\
\x06\xd8\0\0\x07\x6c\0\x03\0\x02\0\0\x07\x98\0\0\0\x03\0\0\0\0\0\0\x06\xd8\0\0\
\x07\x6c\0\0\xc8\x02\0\0\0\x18\0\0\x06\xd8\0\0\x07\x6c\0\x02\x38\x02\0\0\0\x88\
\0\0\x06\xd8\0\0\x07\x6c\0\x03\x5c\x02\0\0\x07\xa3\0\0\0\x03\0\0\0\0\0\0\x06\
\xd8\0\0\x07\x6c\0\x01\0\x02\0\0\0\x18\0\0\x06\xd8\0\0\x07\x6c\0\x01\xd4\x02\0\
\0\0\x88\0\0\x06\xd8\0\0\x07\x6c\0\x03\xb8\x02\0\0\x07\xae\0\0\0\x03\0\0\0\0\0\
\0\x06\xd8\0\0\x07\x6c\0\x01\x38\x02\0\0\0\x18\0\0\x06\xd8\0\0\x07\x6c\0\x02\
\x9c\x02\0\0\0\x88\0\0\x06\xd8\0\0\x07\x6c\0\x04\x14\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x02\x51\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x98\0\0\0\0\0\0\x02\xb8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\x50\
\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x18\
\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x30\0\0\0\0\0\0\0\
\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x01\0\0\
\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x10\0\0\0\0\0\0\0\xe0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2e\0\0\0\x01\0\0\0\0\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xf0\0\0\0\0\0\0\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\xd0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x43\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x09\x10\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\x02\x07\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x18\0\0\
\0\0\0\0\0\x30\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\
\x12\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x48\0\0\0\0\0\
\0\0\x30\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x21\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x78\0\0\0\0\0\0\0\
\x30\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x30\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xa8\0\0\0\0\0\0\0\x30\0\
\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x02\x43\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\xd8\0\0\0\0\0\0\x0d\x05\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x48\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\xe0\0\0\0\0\0\0\x01\x88\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct verifier_helper_restricted *verifier_helper_restricted::open(const struct bpf_object_open_opts *opts) { return verifier_helper_restricted__open_opts(opts); }
struct verifier_helper_restricted *verifier_helper_restricted::open_and_load() { return verifier_helper_restricted__open_and_load(); }
int verifier_helper_restricted::load(struct verifier_helper_restricted *skel) { return verifier_helper_restricted__load(skel); }
int verifier_helper_restricted::attach(struct verifier_helper_restricted *skel) { return verifier_helper_restricted__attach(skel); }
void verifier_helper_restricted::detach(struct verifier_helper_restricted *skel) { verifier_helper_restricted__detach(skel); }
void verifier_helper_restricted::destroy(struct verifier_helper_restricted *skel) { verifier_helper_restricted__destroy(skel); }
const void *verifier_helper_restricted::elf_bytes(size_t *sz) { return verifier_helper_restricted__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
verifier_helper_restricted__assert(struct verifier_helper_restricted *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __VERIFIER_HELPER_RESTRICTED_SKEL_H__ */
